=== modified file 'drizzled/include.am'
--- drizzled/include.am	2010-10-14 21:35:55 +0000
+++ drizzled/include.am	2010-10-14 22:22:23 +0000
@@ -409,10 +409,10 @@
  			      drizzled/statistics_variables.h \
 			      drizzled/table_proto.h \
 			      drizzled/table_reference.h \
-			      drizzled/table_placeholder.h \
 			      drizzled/table_share.h \
 			      drizzled/table/concurrent.h \
 			      drizzled/table/instance.h \
+			      drizzled/table/placeholder.h \
 			      drizzled/table/temporary.h \
 			      drizzled/temporal.h \
 			      drizzled/temporal_format.h \

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2010-10-14 18:32:09 +0000
+++ drizzled/sql_base.cc	2010-10-14 22:22:23 +0000
@@ -54,7 +54,7 @@
 #include "drizzled/drizzled.h"
 #include "drizzled/plugin/authorization.h"
 #include "drizzled/table/temporary.h"
-#include "drizzled/table_placeholder.h"
+#include "drizzled/table/placeholder.h"
 
 using namespace std;
 
@@ -1080,7 +1080,7 @@
     Create a table entry with the right key and with an old refresh version
   */
   TableIdentifier identifier(db_name, table_name, message::Table::INTERNAL);
-  TablePlaceholder *table= new TablePlaceholder(this, identifier);
+  table::Placeholder *table= new table::Placeholder(this, identifier);
 
   if (not add_table(table))
   {

=== renamed file 'drizzled/table_placeholder.h' => 'drizzled/table/placeholder.h'
--- drizzled/table_placeholder.h	2010-06-15 13:37:26 +0000
+++ drizzled/table/placeholder.h	2010-10-14 22:22:23 +0000
@@ -26,12 +26,15 @@
 namespace drizzled
 {
 
-class TablePlaceholder : public Table
+namespace table
+{
+
+class Placeholder : public Table
 {
   TableShare private_share;
 
 public:
-  TablePlaceholder(Session *session, TableIdentifier &identifier) :
+  Placeholder(Session *session, TableIdentifier &identifier) :
     Table(),
     private_share(identifier, identifier.getKey())
   {
@@ -43,6 +46,7 @@
   }
 };
 
+} /* namespace table */
 } /* namespace drizzled */
 
 #endif /* DRIZZLED_TABLE_PLACEHOLDER_H */

